Uploaded image for project: 'Coin'
  1. Coin
  2. COIN-452

Unhandled WorkItemErrors in Coin logs

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: 1.2.3
    • Fix Version/s: 1.2
    • Component/s: Scheduler
    • Labels:
      None
    • Commits:
      f3fa2fc950cf85510c9b416d87cab98fd7365174

      Description

      The coin log is filled with errors such as

      Nov 13 06:33:58 vmbuilder pipenv[6883]: Task exception was never retrieved
      Nov 13 06:33:58 vmbuilder pipenv[6883]: future: <Task finished name='Task-16300211' coro=<WorkItem._run() done, defined at /home/vmbuilder/qt-ci/src/workitem.py:352> exception=WorkItemError()>
      Nov 13 06:33:58 vmbuilder pipenv[6883]: Traceback (most recent call last):
      Nov 13 06:33:58 vmbuilder pipenv[6883]:   File "/home/vmbuilder/qt-ci/src/workitem.py", line 362, in _run
      Nov 13 06:33:58 vmbuilder pipenv[6883]:     await self.run()
      Nov 13 06:33:58 vmbuilder pipenv[6883]:   File "/home/vmbuilder/qt-ci/src/workitem.py", line 915, in run
      Nov 13 06:33:58 vmbuilder pipenv[6883]:     await self.waitForDependencies()
      Nov 13 06:33:58 vmbuilder pipenv[6883]:   File "/home/vmbuilder/qt-ci/src/workitem.py", line 436, in waitForDependencies
      Nov 13 06:33:58 vmbuilder pipenv[6883]:     results = await asyncio.wait_for(dependencyFuture,
      Nov 13 06:33:58 vmbuilder pipenv[6883]:   File "/usr/local/share/python3.8.0/lib/python3.8/asyncio/tasks.py", line 476, in wait_for
      Nov 13 06:33:58 vmbuilder pipenv[6883]:     await waiter
      Nov 13 06:33:58 vmbuilder pipenv[6883]: asyncio.exceptions.CancelledError
      Nov 13 06:33:58 vmbuilder pipenv[6883]: During handling of the above exception, another exception occurred:
      Nov 13 06:33:58 vmbuilder pipenv[6883]: Traceback (most recent call last):
      Nov 13 06:33:58 vmbuilder pipenv[6883]:   File "/home/vmbuilder/qt-ci/src/workitem.py", line 369, in _run
      Nov 13 06:33:58 vmbuilder pipenv[6883]:     raise WorkItemError(self, IntegrationRunResult(storagestructs.TaskState.Cancelled, self))
      Nov 13 06:33:58 vmbuilder pipenv[6883]: workitem.WorkItemError
      

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            tosaario Toni Saario
            Reporter:
            aakeskimo Aapo Keskimölö
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes